<project name="s2flex-example" default="setup" basedir=".">

	<property name="ver" value="1.0.5" />
	<property name="lib" value="WEB-INF/lib" />
	<property name="flex" value="WEB-INF/flex" />

	<property name="package" value="examples/" />
	<property name="releasejarfile" value="../setup2/S2FlexExampleV${ver}.zip" />
	<property name="setupdir" value="../setup2/s2flex-example/" />

	<target name="setup">
		<delete>
			<fileset dir="${setupdir}" />
		</delete>
		<copy todir="${setupdir}">
			<fileset dir=".">
				<exclude name="**/CVS/**" />
				<exclude name="${build}/**" />
				<exclude name="WEB-INF/classes/**" />
				<exclude name="WEB-INF/flexcache.dep" />
				<exclude name="WEB-INF/jrun-web.xml" />
				<exclude name="${lib}/axis.jar" />
				<exclude name="${lib}/batik*.jar" />
				<exclude name="${lib}/commons*.jar" />
				<exclude name="${lib}/con*.jar" />
				<exclude name="${lib}/f*.jar" />
				<exclude name="${lib}/ja*.jar" />
				<exclude name="${lib}/jc*.jar" />
				<exclude name="${lib}/jd*.jar" />
				<exclude name="${lib}/jn*.jar" />
				<exclude name="${lib}/js*.jar" />
				<exclude name="${lib}/licensetool.jar" />
				<exclude name="${lib}/oscache.jar" />
				<exclude name="${lib}/mxmlc.jar" />
				<exclude name="${lib}/saaj.jar" />
				<exclude name="${lib}/sw*.jar" />
				<exclude name="${lib}/trans*.jar" />
				<exclude name="${lib}/wsdl*.jar" />
				<exclude name="${lib}/x*.jar" />
				<exclude name="${flex}/frameworks/**" />
				<exclude name="${flex}/frameworks_debug/**" />
				<exclude name="${flex}/generated/**" />
				<exclude name="${flex}/jars/**" />
				<exclude name="${flex}/logs/**" />
				<exclude name="${flex}/ncd/**" />
				<exclude name="${flex}/*classes/**" />
			</fileset>
			<fileset dir="../seasar2/">
				<include name="doc/" />
			</fileset>
		</copy>
		<zip zipfile="${releasejarfile}" basedir="../setup2" includes="s2flex-example/"/>
	</target>

</project>

